Module
Inhoud
Index 🔎︎

# Input-functie [VBA]

Retourneert de open stroom van een invoer- of binair bestand (tekenreeks).

Deze functie of constante wordt ingeschakeld met de opdracht Option VBASupport 1 vóór de uitvoerbare programmacode in een module.

## Syntaxis:

    Input( Number as Integer, [# ] FileNumber as Integer)

## Geretourneerde waarde:

String

## Parameters:

Getal: Vereist. Numerieke expressie die het aantal tekens aangeeft dat moet worden geretourneerd.

#: Optioneel.

Bestandsnummer: Vereist. Elk geldig bestandsnummer.

## Foutcodes:

6 Overloop

52 Ongeldige bestandsnaam/ongeldig bestandsnummer

62 Lezen voorbij EOF

## Voorbeeld:

    REM ***** BASIC *****

    Option VBASupport 1

    Sub Example_Input

     Dim MyData

     Open "MyDataFile.txt" For Input As #1

     Do While Not EOF(1)

      MyData = Input(1, #1)

      Print MyData

     Loop

     Close #1

    End Sub

Verwante onderwerpen

Instructie Input#

VBA I/O functies